﻿/************************ 
Copyright Notice This objects content is copyright of Dynamic Manufacturing Solutions Inc 2011. 
All rights reserved. 
Any redistribution or reproduction of part or all of the contents in any form is prohibited. 
************************/
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DMS.Examples.NavData.Web.Models;
using DMS.Examples.NavData.Web;

namespace DMS.Examples.NavData.Web.Controllers
{ 
    public class ContactsController : Controller
    {

        public ContactsController()
            : base()
        {
            
        }

        //
        // GET: /Contacts/

        public ViewResult Index(string company = "" )
        {
            ExamplesDataContext db =  ExamplesDataContext.BuildContext();
            DMS.NavHelpers.DynamicsNavTableAttribute.SetCurrentCompany(company);

            List<Contact> info = db.Contacts.ToList<Contact>();
            
            return View(info);
        }

        //
        // GET: /Contacts/Details/5

        public ViewResult Details(string id)
        {
            ExamplesDataContext db = ExamplesDataContext.BuildContext();
            Contact contact = db.Contacts.Find(id);
            return View(contact);
        }

        //
        // GET: /Contacts/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /Contacts/Create

        [HttpPost]
        public ActionResult Create(Contact contact)
        {
            ExamplesDataContext db = ExamplesDataContext.BuildContext();

            if (ModelState.IsValid)
            {
                db.Contacts.Add(contact);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(contact);
        }
        
        //
        // GET: /Contacts/Edit/5
 
        public ActionResult Edit(string id)
        {
            ExamplesDataContext db = ExamplesDataContext.BuildContext();

            Contact contact = db.Contacts.Find(id);
            return View(contact);
        }

        //
        // POST: /Contacts/Edit/5

        [HttpPost]
        public ActionResult Edit(Contact contact)
        {
            ExamplesDataContext db = ExamplesDataContext.BuildContext();

            if (ModelState.IsValid)
            {
                db.Entry(contact).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(contact);
        }

        //
        // GET: /Contacts/Delete/5
 
        public ActionResult Delete(string id)
        {
            ExamplesDataContext db = ExamplesDataContext.BuildContext();

            Contact contact = db.Contacts.Find(id);
            return View(contact);
        }

        //
        // POST: /Contacts/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(string id)
        {
            ExamplesDataContext db = ExamplesDataContext.BuildContext();

            Contact contact = db.Contacts.Find(id);
            db.Contacts.Remove(contact);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            ExamplesDataContext db = ExamplesDataContext.BuildContext();

            db.Dispose();
            base.Dispose(disposing);
        }
    }
}