﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace DMS.Examples.NavData.Web
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            if (null != filters)
            {
                filters.Add(new HandleErrorAttribute());
            }
        }

        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            // use the company specified in the INI file
            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { 
                    controller = "Home", 
                    action = "Index",
                    id = UrlParameter.Optional 
                
                } // Parameter defaults
            );

            routes.MapRoute(
                "CompanySpecific", // Route name
                "SpecificCompany/{company}/{controller}/{action}/{id}", // URL with parameters
                new
                {
                    controller = "Home",
                    action = "Index",
                    company = DMS.NavHelpers.Properties.Settings.Default.DynamicsNavCompany,
                    id = UrlParameter.Optional

                } // Parameter defaults
            );

        }

        
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            RegisterGlobalFilters(GlobalFilters.Filters);
            RegisterRoutes(RouteTable.Routes);
        }
    }
}